LMS API Documentation v23.11.0

Loading...
Searching...
No Matches
Data Fields
lms_stream_meta_t Struct Reference
Sample Streaming functions

`#include <LimeSuite.h>`

## Data Fields
uint64_t | timestamp
bool | waitForTimestamp
bool | flushPartialPacket

## Detailed Description

Metadata structure used in sample transfers

Definition at line 1038 of file LimeSuite.h.

## Field Documentation

## ◆ flushPartialPacket

bool flushPartialPacket

In TX: send samples to HW even if packet is not completely filled (end TX burst). in RX: not used/ignored

Definition at line 1056 of file LimeSuite.h.

## ◆ timestamp

uint64_t timestamp

Timestamp is a value of HW counter with a tick based on sample rate. In RX: time when the first sample in the returned buffer was received In TX: time when the first sample in the submitted buffer should be send

Definition at line 1045 of file LimeSuite.h.

## ◆ waitForTimestamp

bool waitForTimestamp

In TX: wait for the specified HW timestamp before broadcasting data over the air In RX: not used/ignored

Definition at line 1051 of file LimeSuite.h.

The documentation for this struct was generated from the following file:

- /build/limesuite/src/LimeSuite-23.11.0/src/lime/LimeSuite.h